/*
* Author:          Patrick-Christopher Mattulat
* Co-Author:       Claude Sonnet 4.6 (LLM)
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2024-05-16
* Changed:         2026-06-23
*
* */

#ifndef LS_STD_BUTTON_HPP
#define LS_STD_BUTTON_HPP

#include <ls-std/ls-std-event.hpp>
#include <string>

namespace test::event
{
  class Button : public ls::standard::event::EventListener
  {
    public:

      explicit Button();
      ~Button() noexcept override;

      [[nodiscard]] ::std::string getColor() const;
      [[nodiscard]] bool isClicked() const;
      void onChangeColorEvent();
      void onClickEvent();

    private:

      bool clicked{};
      ::std::string color{};
  };
}

#endif
